summaryrefslogtreecommitdiff
path: root/include/tree.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-19 19:24:43 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-19 19:24:43 +0100
commitd9c64b267540a7c0a62f219c1c27c790234fd11c (patch)
tree5274d17a5a3b7108fb5b91b87d419ed1bbfc88f7 /include/tree.sh
parentb25a4876434d371dc4278d71365574158c77d47d (diff)
xbmk: stricter handling of files on while loops
i overlooked these! Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/tree.sh')
-rw-r--r--include/tree.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/include/tree.sh b/include/tree.sh
index 25d4732c..9dccf857 100644
--- a/include/tree.sh
+++ b/include/tree.sh
@@ -332,8 +332,9 @@ check_makefile()
copy_elf()
{
- [ -f "$listfile" ] && x_ mkdir -p "$dest_dir" && while read -r f; do
+ [ -f "$listfile" ] && x_ mkdir -p "$dest_dir"
+ [ ! -f "$listfile" ] || while read -r f; do
[ -f "$srcdir/$f" ] && x_ cp "$srcdir/$f" "$dest_dir"
- done < "$listfile"
+ done < "$listfile" || err "copy_elf $*: cannot read '$listfile'"
x_ make clean -C "$srcdir" $cleanargs
}